Subject: Re: [bug#54560] [PATCH 13/47] gnu: Add go-github-com-mailru-easyjson.

From: Maxime Devos <[email-masked]>
Date: Fri, 25 Mar 2022 20:49:49 +0100

Leo Nikkilä schreef op vr 25-03-2022 om 15:31 [+0200]:
> +    (synopsis "Fast JSON serializer for golang")
> +    (description
> +     "Package @code{easyjson} provides a fast and easy way to
> +marshal/unmarshal Go structs to/from JSON without the use of reflection.

As per (guix)Synopses and Descriptions, no marketing (‘fast and easy’)
please.

> +In performance tests, @code{easyjson} outperforms the standard
> +@code{encoding/json} package by a factor of 4-5x, and other JSON
> +encoding packages by a factor of 2-3x.")

This seems better suited for a bug report or patches to encoding/json
and the other JSON packages --- putting this in the Guix description
isn't going to improve encoding/json and friends ...